> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /linked-accounts

GET https://api.merge.dev/api/filestorage/v1/linked-accounts

List linked accounts for your organization.

Reference: https://docs.merge.dev/merge-unified/filestorage/linked-account/linked-accounts/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `category` (enum, optional) — Options: `hris`, `ats`, `accounting`, `ticketing`, `crm`, `mktg`, `filestorage`, `knowledgebase`, `chat`
  - Allowed values: `accounting`, `ats`, `chat`, `crm`, `filestorage`, `hris`, `knowledgebase`, `mktg`, `ticketing`
- `cursor` (string, optional) — The pagination cursor value.
- `end_user_email_address` (string, optional) — If provided, will only return linked accounts associated with the given email address.
- `end_user_organization_name` (string, optional) — If provided, will only return linked accounts associated with the given organization name.
- `end_user_origin_id` (string, optional) — If provided, will only return linked accounts associated with the given origin ID.
- `end_user_origin_ids` (string, optional) — Comma-separated list of EndUser origin IDs, making it possible to specify multiple EndUsers at once.
- `id` (string, optional)
- `ids` (string, optional) — Comma-separated list of LinkedAccount IDs, making it possible to specify multiple LinkedAccounts at once.
- `include_duplicates` (boolean, optional) — If `true`, will include complete production duplicates of the account specified by the `id` query parameter in the response. `id` must be for a complete production linked account.
- `integration_name` (string, optional) — If provided, will only return linked accounts associated with the given integration name.
- `is_test_account` (string, optional) — If included, will only include test linked accounts. If not included, will only include non-test linked accounts.
- `page_size` (integer, optional) — Number of results to return per page. The maximum limit is 100.
- `status` (string, optional) — Filter by status. Options: `COMPLETE`, `IDLE`, `INCOMPLETE`, `RELINK_NEEDED`

## Response

### 200

- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)
- `results` (list of AccountDetailsAndActions, optional)

## Types

### AccountDetailsAndActions

# The LinkedAccount Object ### Description The `LinkedAccount` object is used to represent an end user's link with a specific integration. ### Usage Example View a list of your organization's `LinkedAccount` objects.

- `id` (string, required)
- `status` (enum, required)
  - Allowed values: `COMPLETE`, `INCOMPLETE`, `RELINK_NEEDED`, `IDLE`
- `end_user_organization_name` (string, required)
- `end_user_email_address` (string, required)
- `webhook_listener_url` (string, required)
- `account_type` (string, required)
- `completed_at` (datetime, required)
- `category` (enum, optional)
  - Allowed values: `hris`, `ats`, `accounting`, `ticketing`, `crm`, `mktg`, `filestorage`, `knowledgebase`
- `status_detail` (string, optional)
- `end_user_origin_id` (string, optional)
- `subdomain` (string, optional) — The tenant or domain the customer has provided access to.
- `is_duplicate` (boolean, optional, nullable) — Whether a Production Linked Account's credentials match another existing Production Linked Account. This field is `null` for Test Linked Accounts, incomplete Production Linked Accounts, and ignored duplicate Production Linked Account sets.
- `integration` (AccountDetailsAndActionsIntegration, optional)
- `integration_specific_fields` (map from string to any, optional)

### AccountDetailsAndActionsIntegration

- `name` (string, required)
- `categories` (list of enum, required)
  - Allowed values: `hris`, `ats`, `accounting`, `ticketing`, `crm`, `mktg`, `filestorage`, `knowledgebase`
- `color` (string, required)
- `slug` (string, required)
- `passthrough_available` (boolean, required)
- `image` (string, optional)
- `square_image` (string, optional)
- `available_model_operations` (list of ModelOperation, optional)

### ModelOperation

# The ModelOperation Object ### Description The `ModelOperation` object is used to represent the operations that are currently supported for a given model. ### Usage Example View what operations are supported for the `Candidate` endpoint.

- `model_name` (string, required)
- `available_operations` (list of string, required)
- `required_post_parameters` (list of string, required)
- `supported_fields` (list of string, required)

## Examples

**Response**

```json
{
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
  "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
  "results": [
    {
      "id": "e59b1821-f85c-4e28-a6b3-1804156f3563",
      "status": "INCOMPLETE",
      "end_user_organization_name": "Foo Bar, LLC",
      "end_user_email_address": "hradmin@foobar.dev",
      "webhook_listener_url": "https://api.merge.dev/api/integrations/webhook-listener/7fc3mee0UW8ecV4",
      "account_type": "PRODUCTION",
      "completed_at": "2024-08-26T20:11:19.277118Z",
      "category": "hris",
      "status_detail": "Invalid login credentials",
      "end_user_origin_id": "3ac95cde-6c7f-4eef-afec-be710b42308d",
      "subdomain": "foobar",
      "is_duplicate": true,
      "integration": {
        "name": "SAP SuccessFactors",
        "categories": [
          "hris",
          "ats"
        ],
        "color": "#F6A704",
        "slug": "sap-successfactors",
        "passthrough_available": true,
        "image": "https://cdn.merge.dev/SuccessFactors_Logo.png",
        "square_image": "https://cdn.merge.dev/SuccessFactors_Square_Logo.jpg",
        "available_model_operations": [
          {
            "model_name": "Candidate",
            "available_operations": [
              "FETCH",
              "CREATE"
            ],
            "required_post_parameters": [
              "remote_user_id"
            ],
            "supported_fields": [
              "first_name",
              "last_name",
              "company",
              "title"
            ]
          }
        ]
      },
      "integration_specific_fields": {
        "integration_specific_field": "Varies by platform"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/filestorage/v1/linked-accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/filestorage/v1/linked-accounts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/filestorage/v1/linked-accounts"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/filestorage/v1/linked-accounts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/filestorage/v1/linked-accounts")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/filestorage/v1/linked-accounts', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/filestorage/v1/linked-accounts");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/filestorage/v1/linked-accounts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```